/**
 * @function doSigndel
 */
"use strict";

const apemanpromise = require('apemanpromise'),
    doSignget = require('./do_signget');

/** @lends doSigndel */
function doSigndel(UserSign, signed) {
    const User = UserSign.getRef('user').model;
    return User
        .findById(signed.user.id, {
            include: [User.getRef('sign')]
        })
        .then(user =>
            apemanpromise.all(
                user.sign.map(sign =>
                    sign.destroy()
                )
            ).then(() =>
                user.destroy()
            )
        )
        .then(()=> signed);
}

module.exports = doSigndel;
