/**
 * @function doSignget
 */
"use strict";

const Promise = require('apemanpromise');

/** @lends doSignget */
function doSignget(UserSign, signed) {
    if (!signed) {
        return Promise.resolve(null);
    }
    return UserSign
        .findById(signed.id, {
            include: [UserSign.getRef('user')]
        });
}

module.exports = doSignget;
